
/*** Spinner Start ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}
/*** Spinner End ***/

.back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    transition: 0.5s;
    z-index: 99;
}

body{
    background-image: linear-gradient( to bottom,rgba(234, 237, 240, 0.986),rgb(229, 219, 247));
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    color: #fff;
    display: grid;
    grid-template-columns: repeat(
        auto-fit,
        minmax(
            150px,
            1fr
        )
        gap(16px)
    );
  
    -webkit-transition: .3s ease all;
    transition: .3s ease all;
  }
  
  body.dark {
    background: #2d2926;
  }
  
  .page-wrapper {
    display: grid;
    place-items: center;
    text-align: center;
  }
  a {
    text-decoration: none;
  }
  
  h1 {
    color: #8B84D7;
    font-family: "Source Sans Pro", sans-serif;
    font-size: 5em;
    letter-spacing: -0.04em;
  }
  
  h1 dark {
    color: #4e008e;
    font-family: "Source Sans Pro", sans-serif;
    font-size: 5em;
    letter-spacing: -0.04em;
  }
  
  h3{
    color: #8B84D7;
    font-family: "Comfortaa", cursive;
    font-size: 5em;
    font-weight: 900;
  }
  h4 {
    color: #F732D7;
    font-family: "Source Sans Pro", sans-serif;
    text-align:start;
    text-decoration: none;
    padding-left: 0.5rem;
  }
  h6{
    color: #00c4cc;
    font-family: "Comfortaa", system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 18px;
  }
  h5{
    color: #4e008e;
    font-family: "Comfortaa", system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 14px;
  }
  p {
    color: #8B84D7;
    font-family: "Comfortaa",system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin: 15px 0;
  }
  
  nav {
    background: #DEDEEA;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding: 15px 20px;
    border-radius: 5px;
    -webkit-transition: .3s ease all;
    transition: .3s ease all;
    -webkit-box-shadow: 10px 10px 20px rgba(170, 170, 170, 0.16);
            box-shadow: 10px 10px 20px rgba(170, 170, 170, 0.16);
  }
  
  body.dark nav {
    background: #222222;
    -webkit-box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.16);
            box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.16);
  }
  
  body.dark nav a {
    color: #00c4cc;
  }
  
  body.dark nav a:hover {
    color: #FEFEFE;
  }
  
  .single-timeline-area .single-timeline-content:hover .timeline-text h6,
  .single-timeline-area .single-timeline-content:focus .timeline-text h6 {
    color: #3f43fd;
  }  
  .single-timeline-area .single-timeline-content {
    position: relative;
    z-index: 1;
    padding: 30px 30px 25px;
    border-radius: 6px;
    margin-bottom: 15px;
    margin-top: 15px;
    -webkit-box-shadow: 0 0.25rem 1rem 0 rgba(47, 91, 234, 0.125);
    box-shadow: 0 0.25rem 1rem 0 rgba(47, 91, 234, 0.125);
    border: 1px solid #ebebeb;
  }

/*** Button Start ***/
.btn {
    font-weight: 600;
    transition: .5s;
}

.btn-square {
    width: 32px;
    height: 32px;
}

.btn-sm-square {
    width: 34px;
    height: 34px;
}

.btn-md-square {
    width: 40px;
    height: 40px;
}

.btn-lg-square {
    width: 46px;
    height: 46px;
}

.btn-xl-square {
    width: 56px;
    height: 56px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square,
.btn-xl-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.btn.btn-primary {
    color: var(--bs-white);
    border: none;
}

.btn.btn-primary:hover {
    background: var(--bs-dark);
    color: var(--bs-white);
}

.btn.btn-light {
    color: var(--bs-primary);
    border: none;
}

.btn.btn-light:hover {
    color: var(--bs-white);
    background: var(--bs-primary);
}


.pt-6 {
    padding-top: 60px;
}

.ps-6 {
    padding-left: 60px;
}

.pe-6 {
    padding-right: 60px;
}

.pb-6 {
    padding-bottom: 60px;
}


.sub-title {
    font-family: "Edu TAS Beginner", cursive;
    font-weight: 700;
    font-size: 22px;
}


.container-fluid {
    position: relative;
    border-bottom: 1px solid rgba(0, 0, 0, .08);
}

@media (min-width: 992px) {
    .container-fluid::before {
        content: "";
        position: absolute;
        width: 15%;
        height: 100%;
        top: 0;
        left: 0;
        background: var(--bs-dark);
        z-index: -1;
    }
}

@media (max-width: 991px) {
    .container-fluid {
        border: none;
    }

    .container-fluid .header-content,
    .container-fluid .about-header,
    .container-fluid .education-header,
    .container-fluid .experience-header,
    .container-fluid .skills-header,
    .container-fluid .service-header,
    .container-fluid .portfolio-header,
    .container-fluid .blog-header,
    .container-fluid .testimonial-header,
    .container-fluid .contact-header {
        padding: 25px;
    }

    .container-fluid .header-img,
    .container-fluid .about-content,
    .container-fluid .education-content,
    .container-fluid .experience-content,
    .container-fluid .skills-content,
    .container-fluid .service-content,
    .container-fluid .portfolio-content,
    .container-fluid .blog-content,
    .container-fluid .testimonial-content,
    .container-fluid .contact-content {
        padding-left: 0;
        padding-top: 25px;
    }
}


.single-timeline-area .single-timeline-content .timeline-icon {
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    width: 30px;
    height: 30px;
    background-color: #00c4cc;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 30px;
    flex: 0 0 30px;
    text-align: center;
    max-width: 30px;
    border-radius: 50%;
    margin-right: 15px;
  }
  .single-timeline-area .single-timeline-content .timeline-icon i {
    color: #ffffff;
    line-height: 30px;
  }


/*** About Start ***/
.about-content .about-img {
    position: relative;
    overflow: hidden;
}

.about-content .about-img .sosial-icon {
    position: absolute;
    width: 100%;
    height: 100%;
    top: -100%;
    left: 0;
    padding: 50px;
    background: rgba(0, 0, 0, .04);
    transition: 0.5s;
}

.about-content .about-img:hover .sosial-icon {
    top: 0;
}
/*** About End ***/


/*** Education Start ***/
.education-content .education-item {
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 30px rgba(0, 0, 0, .03);
    transition: 0.5s;
    z-index: 1;
}

.education-content .education-item:hover {
    box-shadow: 0 0 30px rgba(0, 0, 0, .08);
}

.education-content .education-item::after {
    content: "";
    position: absolute;
    width: 25%;
    height: 100%;
    top: 50%;
    left: 0;
    padding: 0;
    transform: translateY(-50%);
    border: 100px solid;
    border-color: var(--bs-light) transparent var(--bs-light) var(--bs-light);
    z-index: -1;
}

.education-content .education-item::before {
    content: "";
    position: absolute;
    width: 25%;
    height: 100%;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    border: 100px solid;
    border-color: var(--bs-light) var(--bs-light) var(--bs-light) transparent;
    z-index: -1;
}
/*** Education End ***/


/*** Experience start ***/
.experience-content .experience-item {
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 30px rgba(0, 0, 0, .03);
    transition: 0.5s;
    z-index: 1;
}

.experience-content .experience-item:hover {
    box-shadow: 0 0 30px rgba(0, 0, 0, .08);
}

.experience-content .experience-item::after {
    content: "";
    position: absolute;
    width: 2px;
    height: 100%;
    top: 50%;
    left: 0;
    padding: 0;
    transform: translateY(-50%);
    border: 100px solid;
    border-color: var(--bs-light) transparent var(--bs-light) var(--bs-light);
    z-index: -1;

}

.experience-content .experience-item::before {
    content: "";
    position: absolute;
    width: 2px;
    height: 100%;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    border: 100px solid;
    border-color: var(--bs-light) var(--bs-light) var(--bs-light) transparent;
    z-index: -1;
}
/*** Experience End ***/


/*** Skills Start ***/
.skills-content .skills-item {
    position: relative;
}

.skills-content .skills-item::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    border-radius: 50% 50% 50% 50% / 28% 28% 72% 72%;
    background: var(--bs-light);
    z-index: -1;
}
/*** Skills End ***/


/*** Service start ***/
.service-content .service-item {
    box-shadow: 0 0 30px rgba(0, 0, 0, .03);
    transition: 0.5s;
}

.service-content .service-item:hover i {
    color: var(--bs-primary);

}

.service-content .service-item:hover {
    box-shadow: 0 0 30px rgba(0, 0, 0, .08);
}
/*** service End ***/


/*** Portfolio Start ***/
.portfolio-content .portfolio-item .portfolio-img {
    position: relative;
    width: 100%;
    height: 150px;
}

.portfolio-item .portfolio-img .portfolio-img-inner {
    width: 100%;
    height: 150px;
    position: absolute;
    top: 0;
    left: 0;
}

.portfolio-item .portfolio-img .portfolio-img-inner img {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.portfolio-content .portfolio-item .view-img {
    display: flex;
    align-items: center;
    justify-content: end;
}

.portfolio-content .portfolio-item .portfolio-img .portfolio-img-inner {
    visibility: hidden;
    transition: 0.5s;
}

.portfolio-content .portfolio-item:hover .portfolio-img .portfolio-img-inner {
    visibility: visible;
    transform: rotate(-6deg);
}
/*** Portfolio End ***/


/*** Blog Start ***/
.blog-content .blog-btn a {
    color: var(--bs-primary);
}
.blog-content .blog-btn a:hover {
    color: var(--bs-dark);
}
/*** Blog End ***/



/*** footer Start ***/
@media (max-width: 991px) {
    .container-fluid .footer-content {
        padding-left: 0;
    }
}
/*** footer End ***/

span3{ 
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 28px;
    font-weight: 900;
    text-align: center;
    margin: 0 0 12px;
    color:#fff;
    display:block;
    line-height: 1.1;
    padding: 0 13px;
    position: relative;
}
nav {
    background: #DEDEEA;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding: 15px 20px;
    border-radius: 5px;
    -webkit-transition: .3s ease all;
    transition: .3s ease all;
    -webkit-box-shadow: 10px 10px 20px rgba(170, 170, 170, 0.16);
            box-shadow: 10px 10px 20px rgba(170, 170, 170, 0.16);
  }
  
  body.dark nav {
    background: #222222;
    -webkit-box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.16);
            box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.16);
  }
  
  body.dark nav a {
    color: #00c4cc;
  }
  
  body.dark nav a:hover {
    color: #FEFEFE;
  }
  
  
  
  nav .enlaces {
    font-size: 22px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
  
  nav .enlaces a {
    margin-right: 40px;
  }
  
  nav .enlaces a:hover {
    color: #707070;
  }
  
  .switch {
    background: #343D5B;
    border-radius: 1000px;
    border: none;
    position: relative;
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    outline: none;
  }
  
  .switch::after {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    background: #F1F1F1;
    top: 0;
    left: 0;
    right: unset;
    border-radius: 100px;
    -webkit-transition: .3s ease all;
    transition: .3s ease all;
    -webkit-box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.2);
            box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.2);
  }
  
  .switch.active {
    background: #00c4cc;
    color: #000;
  }
  
  .switch.active::after {
    right: 0;
    left: unset;
  }
  
  .switch span {
    width: 30px;
    height: 30px;
    line-height: 30px;
    display: block;
    background: none;
    color: #fff;
  }
  
  span3::before{
    background: linear-gradient(90deg,var(--start-color),var(--end-color));
    content:var(--content);
    position: absolute;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: animated 9s infinite;
    animation-delay: var(--delay);
}

@keyframes animated{
    0%, 16.667%, 100%{
        opacity: 1;
    }
    33.333%, 83.333%{
        opacity: 0;
    }
}




